Bug 680186 - unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0
Summary: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-24 15:32 UTC by Domingo Becker
Modified: 2011-03-23 12:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-23 12:33:02 UTC


Attachments (Terms of Use)
troubleshoot.txt file generated (154.84 KB, application/zip)
2011-02-24 16:59 UTC, Domingo Becker
no flags Details

Description Domingo Becker 2011-02-24 15:32:00 UTC
Description of problem:
I can't make my hp p1505 laserjet printer print under Fedora 13 and 14 as it used to do it with Fedora 12.
It seems that something related with usb management has got broken.

The printer is installed in Fedora 14 as follows:
Make and model: HP LaserJet P1505 Foomatic/foo2xqx (recommended)
Printer URI: hp:/usb/HP_LaserJet_P1505?serial=L500PV0

The actual log at /var/log/messages after sending a test page is the following (in the middle I switched off the printer):

Feb 24 11:59:47 isspse foo2xqx-wrapper: foo2xqx-wrapper -r1200x600 -p9 -T3 -m1 -s7 -d1 -n1
Feb 24 11:59:48 isspse foo2xqx-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Feb 24 11:59:48 isspse foo2xqx-wrapper: foo2xqx -r1200x600 -g9920x7016 -p9 -m1 -n1 -d1 -s7  -u 176x84 -l 176x84   -T3     
Feb 24 12:00:13 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:00:38 isspse hp[27349]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:00:58 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:01:23 isspse hp[27661]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 24 12:01:24 isspse python: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 24 12:01:43 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:02:28 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:02:48 isspse foo2xqx-wrapper: foo2xqx-wrapper -r1200x600 -p9 -T3 -m1 -s7 -d1 -n1
Feb 24 12:02:49 isspse foo2xqx-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Feb 24 12:02:49 isspse foo2xqx-wrapper: foo2xqx -r1200x600 -g9920x7016 -p9 -m1 -n1 -d1 -s7  -u 176x84 -l 176x84   -T3     
Feb 24 12:03:07 isspse kernel: [92492.368050] usb 1-1: USB disconnect, address 8
Feb 24 12:03:07 isspse udev-configure-printer: Disabled printer ipp://localhost:631/printers/hp-P1505-boris as the corresponding device was unplugged or turned off
Feb 24 12:03:09 isspse kernel: [92494.889026] usb 1-1: new high speed USB device using ehci_hcd and address 10
Feb 24 12:03:09 isspse kernel: [92495.024252] usb 1-1: New USB device found, idVendor=03f0, idProduct=3f17
Feb 24 12:03:09 isspse kernel: [92495.024258] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Feb 24 12:03:09 isspse kernel: [92495.024263] usb 1-1: Product: HP LaserJet P1505
Feb 24 12:03:09 isspse kernel: [92495.024266] usb 1-1: Manufacturer: Hewlett-Packard
Feb 24 12:03:09 isspse kernel: [92495.024270] usb 1-1: SerialNumber: L500PV0
Feb 24 12:03:09 isspse kernel: [92495.030588] usblp0: USB Bidirectional printer dev 10 if 0 alt 0 proto 2 vid 0x03F0 pid 0x3F17
Feb 24 12:03:09 isspse logger: loading hp_laserjet_p1505 firmware 001 010
Feb 24 12:03:10 isspse /etc/hotplug/usb/hpljP1505: foo2zjs: loading HP LaserJet P1505 firmware /usr/share/foo2xqx/firmware/sihpP1505.dl to /dev/usb/lp0 ...
Feb 24 12:03:13 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:03:13 isspse udev-configure-printer: no corresponding CUPS device found
Feb 24 12:03:16 isspse python: io/hpmud/musb.c 139: unable get_string_descriptor -110: Connection timed out
Feb 24 12:03:16 isspse python: io/hpmud/musb.c 2134: invalid product id string ret=-110
Feb 24 12:03:21 isspse python: io/hpmud/musb.c 139: unable get_string_descriptor -110: Connection timed out
Feb 24 12:03:21 isspse python: io/hpmud/musb.c 2139: invalid serial id string ret=-110
Feb 24 12:03:26 isspse python: io/hpmud/musb.c 139: unable get_string_descriptor -110: Connection timed out
Feb 24 12:03:26 isspse python: io/hpmud/musb.c 2040: invalid product id string ret=-110
Feb 24 12:03:31 isspse python: io/hpmud/musb.c 139: unable get_string_descriptor -110: Connection timed out
Feb 24 12:03:31 isspse python: io/hpmud/musb.c 2045: invalid serial id string ret=-110
Feb 24 12:03:36 isspse python: io/hpmud/musb.c 139: unable get_string_descriptor -110: Connection timed out
Feb 24 12:03:36 isspse python: io/hpmud/musb.c 2050: invalid manufacturer string ret=-110
Feb 24 12:03:36 isspse python: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 24 12:03:36 isspse hp-firmware: hp-firmware[27950]: error: Invalid USB Device ID or USB bus ID. No device found.
Feb 24 12:03:39 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:03:58 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:04:24 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:04:43 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:05:09 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:05:28 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:05:54 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:06:13 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:06:39 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:06:58 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:07:24 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:07:43 isspse hp[15367]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 12:07:43 isspse hp[15367]: io/hpmud/musb.c 1083: bulk_read failed: No such device
Feb 24 12:07:43 isspse hp[15367]: io/hpmud/musb.c 1463: unable to read data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: No such device
Feb 24 12:08:09 isspse hp[27872]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout


Version-Release number of selected component (if applicable):
Fedora 14 i686
# rpm -qa hplip foo2xqx foo2zjs
hplip-3.10.9-14.fc14.i686
foo2zjs-0.20101016-1.fc14.i686
foo2xqx-0.20101016-1.fc14.i686

I don't know if this bug is filed against the appropriate component. Feel free to change it if necessary.

Comment 1 Tim Waugh 2011-02-24 16:21:31 UTC
Does it also fail if you don't turn off the printer while it's printing a job?  Could you attach a log from that situation, so that it isn't confused by that?

It would also be useful to see the troubleshoot.txt output that corresponds with the /var/log/messages section:
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter

Thanks.

Comment 2 Domingo Becker 2011-02-24 16:58:36 UTC
(In reply to comment #1)
> Does it also fail if you don't turn off the printer while it's printing a job? 
> Could you attach a log from that situation, so that it isn't confused by that?
> 

Here it goes, without turning off the printer:
Feb 24 13:37:40 isspse foo2xqx-wrapper: foo2xqx-wrapper -r1200x600 -p9 -T3 -m1 -s7 -d1 -n1
Feb 24 13:37:41 isspse foo2xqx-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Feb 24 13:37:41 isspse foo2xqx-wrapper: foo2xqx -r1200x600 -g9920x7016 -p9 -m1 -n1 -d1 -s7  -u 176x84 -l 176x84   -T3     
Feb 24 13:37:41 isspse /etc/hotplug/usb/hpljP1505: foo2zjs: ... download failed.
Feb 24 13:37:41 isspse kernel: [98145.863229] usblp0: nonzero write bulk status received: -108
Feb 24 13:37:41 isspse kernel: [98145.864475] usblp0: removed
Feb 24 13:38:31 isspse hp[7538]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:39:16 isspse hp[7538]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:40:01 isspse hp[7538]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout


> It would also be useful to see the troubleshoot.txt output that corresponds
> with the /var/log/messages section:
> https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter
> 

The troubleshoot.txt file is attached. 
The log output generated when troubeshooting:

Feb 24 13:48:02 isspse hp-info: hp-info[8860]: warning: No display found.
Feb 24 13:48:02 isspse hp-info: hp-info[8860]: error: hp-info -u/--gui requires Qt4 GUI support. Entering interactive mode.
Feb 24 13:48:03 isspse hp-systray: hp-systray[8865]: warning: No display found.
Feb 24 13:48:03 isspse hp-systray: hp-systray[8865]: error: hp-systray requires Qt4 GUI and DBus support. Exiting.
Feb 24 13:48:06 isspse hp-info: hp-info[8860]: warning: Unable to connect to dbus. Is hp-systray running?
Feb 24 13:48:37 isspse hp-info: hp-info[8860]: error: Channel write error
Feb 24 13:48:37 isspse hp-info: io/hpmud/musb.c 557: aborting outstanding 7/1/2 write
Feb 24 13:49:07 isspse hp[9034]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 24 13:49:07 isspse python: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 24 13:49:56 isspse foo2xqx-wrapper: foo2xqx-wrapper -r1200x600 -p9 -T3 -m1 -s7 -d1 -n1
Feb 24 13:49:57 isspse foo2xqx-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Feb 24 13:49:57 isspse foo2xqx-wrapper: foo2xqx -r1200x600 -g9920x7016 -p9 -m1 -n1 -d1 -s7  -u 176x84 -l 176x84   -T3     
Feb 24 13:50:47 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:51:32 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:52:17 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:53:02 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:53:47 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout
Feb 24 13:54:32 isspse hp[9163]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout

Comment 3 Domingo Becker 2011-02-24 16:59:34 UTC
Created attachment 480811 [details]
troubleshoot.txt file generated

Comment 4 Tim Waugh 2011-02-25 11:55:16 UTC
Thanks.  Could you please also run 'lpinfo -l --include-schemes=usb -v' as root with this printer (and any others attached) switched on -- it will help me verify that the Device IDs are correct.

There are some error codes that might help:

  error-state                   101

This just seems to mean that there's some kind of error.
ERROR_STATE_ERROR = 101        # Icon w/ circle "X" overlay

  status-code                   1018
  status-desc                   Unknown error

This seems to mean "hard error", whatever that means.
STATUS_PRINTER_HARD_ERROR = 1018

Looks like it could come from several things:

1. VSTATUS code ("erro")
2. Type 6 status codes meaning"
  i. out of memory
  ii. invalid driver
  iii. beam error
  iv. scanner error
  v. fan error
  vi. several undocumented ones
3. PJL error codes 50000--50999 (hardware errors)
4. PJL error codes 55000--55999 (personality errors)
5. Some other unhandled PJL error code
6. Type 10 status code "hardError"

Will need to dig into the log messages to see which.

Comment 5 Tim Waugh 2011-02-25 12:05:26 UTC
You could try hplip-3.11.1 to see if that's any better:
  http://koji.fedoraproject.org/koji/buildinfo?buildID=216983

Comment 6 Domingo Becker 2011-02-25 15:09:13 UTC
(In reply to comment #5)
> You could try hplip-3.11.1 to see if that's any better:
>   http://koji.fedoraproject.org/koji/buildinfo?buildID=216983

I updated to this version and tried a cups test page.
The log is the following:

Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:4
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:4
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:8
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:8
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:12
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:12
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:16
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:16
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:20
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:20
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:24
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:24
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:28
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:28
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:32
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:32
Feb 25 12:01:03 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:36
Feb 25 12:01:03 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/11-hplj10xx.rules:36
Feb 25 12:01:04 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3
Feb 25 12:01:04 isspse udevd[415]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:5
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1000.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1000.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1005_series.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1005_series.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1018.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1018.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1020.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_1020.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1005.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1005.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1006.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1006.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1007.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1007.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1008.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1008.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1505.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_p1505.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1102.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1102.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1102w.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1102w.rules:9
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1566.rules:6
Feb 25 12:01:04 isspse udevd[415]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/86-hpmud-hp_laserjet_professional_p1566.rules:9
Feb 25 12:01:05 isspse yum[31921]: Updated: hplip-common-3.11.1-2.fc14.i686
Feb 25 12:01:12 isspse yum[31921]: Installed: hplip-debuginfo-3.11.1-2.fc14.i686
Feb 25 12:01:16 isspse yum[31921]: Updated: hplip-libs-3.11.1-2.fc14.i686
Feb 25 12:01:16 isspse yum[31921]: Updated: libsane-hpaio-3.11.1-2.fc14.i686
Feb 25 12:01:22 isspse yum[31921]: Updated: 1:hpijs-3.11.1-2.fc14.i686
Feb 25 12:01:27 isspse yum[31921]: Updated: hplip-3.11.1-2.fc14.i686
Feb 25 12:01:38 isspse yum[31921]: Updated: hplip-gui-3.11.1-2.fc14.i686
Feb 25 12:02:44 isspse hp[32273]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 25 12:02:44 isspse python: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 25 12:03:06 isspse foo2xqx-wrapper: foo2xqx-wrapper -r1200x600 -p9 -T3 -m1 -s7 -d1 -n1
Feb 25 12:03:07 isspse foo2xqx-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Feb 25 12:03:07 isspse foo2xqx-wrapper: foo2xqx -r1200x600 -g9920x7016 -p9 -m1 -n1 -d1 -s7  -u 176x84 -l 176x84   -T3     
Feb 25 12:03:57 isspse hp[32328]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout

Comment 7 Domingo Becker 2011-02-25 15:12:33 UTC
(In reply to comment #4)
> Thanks.  Could you please also run 'lpinfo -l --include-schemes=usb -v' as root
> with this printer (and any others attached) switched on -- it will help me
> verify that the Device IDs are correct.
> 

[root@isspse ~]# lpinfo -l --include-schemes=usb -v
[root@isspse ~]# 


It shows nothing.
I have only one printer attached through usb to this computer, the hp p1505 laser.

Comment 8 Tim Waugh 2011-02-25 15:42:36 UTC
(In reply to comment #7)
> [root@isspse ~]# lpinfo -l --include-schemes=usb -v
> [root@isspse ~]# 
> 
> 
> It shows nothing.

Oh.  Is the 'hp' backend still running or something?  Anyway, don't worry.

Can you try removing the system-config-printer-udev package and see if that changes anything?

Comment 9 Domingo Becker 2011-02-25 15:56:23 UTC
(In reply to comment #8)
> Can you try removing the system-config-printer-udev package and see if that
> changes anything?

Nope. It doesn't change anything.

The only error I get is the following, several times:

Feb 25 12:47:31 isspse hp[2922]: io/hpmud/musb.c 1420: unable to write data hp:/usb/HP_LaserJet_P1505?serial=L500PV0: 45 second io timeout

I even tested with selinux permissive, but the same results.

Comment 10 Jiri Popelka 2011-02-28 15:49:26 UTC
Have you tried the hpcups driver ?
P1505 requires proprietary plugin to work with hpcups so install it with
'hp-plugin -i'.
Do you see the same problems printing with hpcups driver ?

Comment 11 Domingo Becker 2011-02-28 16:24:49 UTC
(In reply to comment #10)
> Have you tried the hpcups driver ?
> P1505 requires proprietary plugin to work with hpcups so install it with
> 'hp-plugin -i'.
> Do you see the same problems printing with hpcups driver ?

Yes. 

The last messages are:

Feb 28 13:12:18 isspse hp-plugin: hp-plugin[25551]: error: Channel write error
Feb 28 13:12:18 isspse hp-plugin: hp-plugin[25551]: error: An error occured: Device I/O error
Feb 28 13:12:18 isspse hp-plugin: io/hpmud/musb.c 557: aborting outstanding 7/1/2 write



The 'hp-plugin -i' ended with the following output:

[snip]
limitation of incidental or consequential damages, so the above limitation or   
exclusion may not apply to you.                                                 

Do you accept the license terms for the plug-in (y=yes*, n=no, q=quit) ? y

Done.

------------------------
| DOWNLOADING FIRMWARE |
------------------------


Downloading firmware to device hp:/usb/HP_LaserJet_P1505?serial=L500PV0...
error: Channel write error
error: An error occured: Device I/O error

Done.

Comment 12 Domingo Becker 2011-03-02 13:08:27 UTC
I had a kernel oops that I reported with abrt to KerneloopsReporter.

Below is the trace:

WARNING: at drivers/usb/host/ehci-hcd.c:1071 ehci_endpoint_reset+0x8a/0xc9()
Hardware name: System Product Name
clear_halt for a busy endpoint
Modules linked in: sunrpc cpufreq_ondemand acpi_cpufreq mperf ppp_synctty ppp_async crc_ccitt ppp_generic slhc xt_recent ipt_MASQUERADE ipt_REDIRECT iptable_nat nf_nat nf_conntrack_ftp ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 uinput usblp snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device atl2 snd_pcm iTCO_wdt iTCO_vendor_support ppdev gspca_pac207 gspca_main videodev r8169 i2c_i801 mii parport_pc parport snd_timer snd soundcore snd_page_alloc asus_atk0110 usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Pid: 563, comm: hp-firmware Not tainted 2.6.35.11-83.fc14.i686.PAE #1
Call Trace:
 [<c043fd21>] warn_slowpath_common+0x6a/0x7f
 [<c06c35af>] ? ehci_endpoint_reset+0x8a/0xc9
 [<c043fda9>] warn_slowpath_fmt+0x2b/0x2f
 [<c06c35af>] ehci_endpoint_reset+0x8a/0xc9
 [<c06b1961>] usb_hcd_reset_endpoint+0x1e/0x53
 [<c06b2814>] usb_reset_endpoint+0x2b/0x2d
 [<c06b31bc>] usb_clear_halt+0x53/0x5c
 [<c06ba1ab>] usbdev_do_ioctl+0x8d6/0x192a
 [<c04b6365>] ? release_pages+0x113/0x11b
 [<c06bb20c>] usbdev_ioctl+0xd/0xf
 [<c04edc30>] vfs_ioctl+0x33/0x91
 [<c06bb1ff>] ? usbdev_ioctl+0x0/0xf
 [<c04ee630>] do_vfs_ioctl+0x462/0x48d
 [<c058b64f>] ? selinux_file_ioctl+0x43/0x46
 [<c04ee6a1>] sys_ioctl+0x46/0x69
 [<c040899f>] sysenter_do_call+0x12/0x28

Comment 13 Tim Waugh 2011-03-08 12:16:08 UTC
Do you get that failure if you try running 'hp-plugin -i' again?

Comment 14 Domingo Becker 2011-03-10 13:39:56 UTC
[user@isspse ~]$ su -c 'hp-setup -i'
Contraseña: 

HP Linux Imaging and Printing System (ver. 3.11.1)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)


--------------------------------
| SELECT CONNECTION (I/O) TYPE |
--------------------------------

  Num       Connection  Description                                               
            Type                                                                  
  --------  ----------  ----------------------------------------------------------
  0*        usb         Universal Serial Bus (USB)                                
  1         net         Network/Ethernet/Wireless (direct connection or JetDirect)
  2         par         Parallel Port (LPT:)                                      

Enter number 0...2 for connection type (q=quit, enter=usb*) ? 0

Using connection type: usb

Using device: hp:/usb/HP_LaserJet_P1505?serial=L500PV0


Setting up device: hp:/usb/HP_LaserJet_P1505?serial=L500PV0



---------------------
| PRINT QUEUE SETUP |
---------------------

warning: One or more print queues already exist for this device: Hewlett-Packard-HP-LaserJet-P1505.

Would you like to install another print queue for this device (y=yes, n=no*, q=quit) ? y

Please enter a name for this print queue (m=use model name:'HP_LaserJet_P1505'*, q=quit) ?
Using queue name: HP_LaserJet_P1505
Locating PPD file... Please wait.

Found PPD file: drv:///hp/hpcups.drv/hp-laserjet_p1505.ppd
Enter a location description for this printer (q=quit) ?
Enter additonal information or notes for this printer (q=quit) ?

Adding print queue to CUPS:
Device URI: hp:/usb/HP_LaserJet_P1505?serial=L500PV0
Queue name: HP_LaserJet_P1505
PPD file: drv:///hp/hpcups.drv/hp-laserjet_p1505.ppd
Location: 
Information: 
 

---------------------
| PRINTER TEST PAGE |
---------------------


Would you like to print a test page (y=yes*, n=no, q=quit) ? y
warning: hp-testpage should not be run as root/superuser.

HP Linux Imaging and Printing System (ver. 3.11.1)
Testpage Print Utility ver. 6.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

**
GLib-GIO:ERROR:gdbusconnection.c:2270:initable_init: assertion failed: (connection->initialization_error == NULL)

Done.
[user@isspse ~]$

Comment 15 Domingo Becker 2011-03-22 17:02:05 UTC
It seems foo2xqx needs to be rebuilt against the new dependent packages (I don't know which ones). 

I downloaded the sources from the URL in foo2xqx package from rpmfusion, and followed the instructions and the printer works just fine.

kind regards

Domingo Becker

Comment 16 Domingo Becker 2011-03-22 17:05:00 UTC
By the way, I remember that in F12 I used foo2xqx, that's why I tried with it again.

It's an alternative to hplip, that used to work fine in previous releases.

I tested the F13 foo2xqx package from rpmfusion and it works fine with this printer.

So, the problem is now only with F14.

Comment 17 Tim Waugh 2011-03-22 17:21:43 UTC
So the problem is with foo2xqx needing to be rebuilt?  Or with something else?

Comment 18 Domingo Becker 2011-03-23 12:11:00 UTC
(In reply to comment #17)
> So the problem is with foo2xqx needing to be rebuilt?  

Yes, foo2xqx needs to be rebuilt to make this printer work.

It happens that I filed this bug against hplip, but I found the printer also works with foo2xqx third party driver. But that package doesn't work as is from rpmfusion-free repository.

If you download the driver from the URL in the package, and compile it by hand, it works just fine. That's why I think it needs to be rebuilt.

Comment 19 Tim Waugh 2011-03-23 12:33:02 UTC
Okay, closing.


Note You need to log in before you can comment on or make changes to this bug.